#ifndef __Marzani_coeffs_HH__
#define __Marzani_coeffs_HH__

#include <string>

class SmallxCoeffs {
private:
  double *mmh, *mc10, *mc20, *mc11, *mc30, *mc21;
  double *mc1, *mc2, *mc3;
  int mN;
  bool interp;
  double interpolation(double, double, double*);

public:
  SmallxCoeffs(std::string filename = "");
  SmallxCoeffs(double mH, double mtop, double mbot=-1, double mcha=-1);
  ~SmallxCoeffs();

  double c10(double mH, double mtop=172.5);

  double c20(double mH, double mtop=172.5);
  double c11(double mH, double mtop=172.5);

  double c30(double mH, double mtop=172.5);
  double c21(double mH, double mtop=172.5);

  // deprecated
  double c1marzani(double mH, double mtop=172.5);
  double c2marzani(double mH, double mtop=172.5);
  double c3marzani(double mH, double mtop=172.5);

};

#endif
